%define oname %(echo %{name} | sed -e 's/^ocaml-//')

Name:           ocaml-lwt_log
Version:        1.1.1
Release:        %mkrel 1.4
Summary:        Lwt logging library
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://github.com/aantron/lwt_log
Source0:        https://github.com/aantron/lwt_log/archive/%{version}/lwt_log-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  opam

%description
This module provides functions to deal with logging.
It supports:
  - logging to multiple destination at the same time
  - filtering logs per destination

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
# This will cause debuginfo to be generated!
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.1.1-1.4.mga8
+ Revision: 1670666
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.1-1.3.mga8
+ Revision: 1551804
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1.1-1.2.mga8
+ Revision: 1545187
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.1.1-1.1.mga8
+ Revision: 1484110
- rebuild with fixed lwt
- no need to run "dune upgrade"

* Mon Jan 27 2020 tv <tv> 1.1.1-1.mga8
+ Revision: 1484081
- new release

* Sun Jan 26 2020 tv <tv> 1.1.0-3.mga8
+ Revision: 1483151
- rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 1.1.0-2.mga7
+ Revision: 1325476
- rebuild for new ocaml 4.07.1
- use a named-versioned git tarball

* Thu Oct 11 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1319718
- Add missing BuildRequires
- imported package ocaml-lwt_log

